/* Style for PC */
@media screen and (min-width: 1025px) {

/* Menu botton*/
.menubn {
  display: none;
}

.menubn span {
  display: none;
}

.menubn span:nth-child(1) {
  display: none;
}

.menubn span:nth-child(2) {
  display: none;
}

.menubn span:nth-child(3) {
  display: none;
}

/* ナビ開いてる時のボタン */
.menubn.active span:nth-child(1) {
  display: none;
}

.menubn.active span:nth-child(2),
.menubn.active span:nth-child(3) {
  display: none;
}

nav.globalmenu {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: space-between;
  position: fixed;
  z-index: 19500;
  top: 90px;
  left: 0%;
  padding:0;
  overflow: hidden;
  transition: .4s all;
}

nav.globalmenu .gmbody {
  width:94%;
  height: 50px;
  display: flex;
  justify-content: space-between;
  margin:0 auto;
}

nav.globalmenu ul {
  width: 43%;
  height: auto;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  padding: 0;
}

nav.globalmenu ul li {
  list-style-type: none;
  padding: 0;
  flex: 1;
  margin:0 1%;
  font-size: clamp(12px, 1vw, 14px);
  font-weight: 400;
  letter-spacing: -0.5px;
}

nav.globalmenu ul li a {
  width: 100%;
  height: auto;
  display: block;
  line-height: 50px;
  color:var(--color-black);
  text-decoration: none;
  background-image: url(../img/header/box-1st.webp);
  background-repeat: no-repeat;
  background-position: center bottom;
  background-size: 0 1px;
  transition: .4s all;
}
nav.globalmenu ul li a:hover {
  color:var(--color-1st);
  background-size: 100% 1px;
}

nav.globalmenu ul li.gm_mobile {
  display: none!important;
}


nav.globalmenu.site_active {
  width: 80%;
  height: 60px;
  display: flex;
  justify-content: space-between;
  position: fixed;
  z-index: 19500;
  top: 0px;
  right: 1%;
  left:auto;
  padding:0;
  overflow: hidden;
  transition: .4s all;
}

nav.globalmenu.site_active .gmbody {
  width:100%;
  height: 60px;
  display: flex;
  justify-content: flex-end;
  margin:0 auto;
}

nav.globalmenu.site_active ul {
  width: 50%;
  height: auto;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  padding: 0;
}

nav.globalmenu.site_active ul li {
  list-style-type: none;
  padding: 0;
  flex: 1;
  margin:0 1%;
  font-size: clamp(12px, 1vw, 14px);
  font-weight: 400;
  letter-spacing: -0.5px;
}

nav.globalmenu.site_active ul li a {
  width: 100%;
  height: auto;
  display: block;
  line-height: 60px;
  color:var(--color-black);
  text-decoration: none;
  background-image: url(../img/header/box-1st.webp);
  background-repeat: no-repeat;
  background-position: center bottom;
  background-size: 0 2px;
  transition: .4s all;
}
nav.globalmenu.site_active ul li a:hover {
  color:var(--color-1st);
  background-size: 100% 2px;
}

nav.globalmenu.site_active ul li.gm_mobile {
  display: none!important;
}


}

/* Style for Tablets */
@media screen and (min-width: 641px) and (max-width: 1024px) {

/* Menu botton*/
  .menubn {
    display: block;
    position: fixed;
    z-index: 21500;
    right: 10px;
    top: 65px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    text-align: center;
    background-image: url(../img/header/ic-menu_open.webp);
    background-repeat: no-repeat;
    background-position: center bottom;
    background-size: auto 10px;
    transition: .4s all;
  }

  .menubn.site_active {
    display: block;
    position: fixed;
    z-index: 21500;
    right: 2%;
    top: 15px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    text-align: center;
  }

  .menubn span {
    display: block;
    position: absolute;
    width: 40px;
    height: 1px;
    left: 6px;
    background: var(--color-black);
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    transition: 0.3s ease-in-out;
  }

  .menubn span:nth-child(1) {
    top: 10px;
  }

  .menubn span:nth-child(2) {
    top: 20px;
  }

  .menubn span:nth-child(3) {
    top: 30px;
  }

  /* ナビ開いてる時のボタン */
  .menubn.active {
    background-image: url(../img/header/ic-menu_close.webp);
  }
  .menubn.active span:nth-child(1) {
    top: 16px;
    left: 6px;
    background: var(--color-white);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    transform: rotate(-45deg);
  }

  .menubn.active span:nth-child(2),
  .menubn.active span:nth-child(3) {
    top: 16px;
    background: var(--color-white);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    transform: rotate(45deg);
  }

nav.globalmenu {
  position: fixed;
  z-index: 20000;
  top:  0;
  right:-100%;
  color: var(--color-white);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  width: 100%;
  height: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: .4s all;
}

nav.globalmenu .gmbody {
  width:40%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgba(229,48,11,0.95);
  padding: 10% 0;
  transition: .4s all;
  margin-right:-100%;
  margin-left: auto;
}

nav.globalmenu ul {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
}
nav.globalmenu ul:first-of-type {
  border-top: 1px dotted rgba(255,255,255,0.5);
}

nav.globalmenu ul li {
  width:100%;
  height: auto;
  display: block;
  list-style-type: none;
  margin:0;
  font-size: 14px;
  font-weight: 700;
  text-align: left;
  transition: .4s all;
  border-bottom: 1px dotted rgba(255,255,255,0.5);
}

nav.globalmenu ul li a {
  width: 100%;
  height: 50px;
  display: block;
  text-decoration: none;
  color: var(--color-white);
  line-height: 50px;
  padding:0px 10px;
  background-color:rgba(0, 0, 0, 0);
  background-image: url(../img/header/ic-ar_w.webp);
  background-repeat: no-repeat;
  background-position: 96% center;
  background-size: auto 20px;
  transition: .4s all;
}

nav.globalmenu ul li a:hover {
  color:var(--color-white);
  background-color:rgba(0, 0, 0, 0.7);
  background-position: 99% center;
}

/* このクラスを、jQueryで付与・削除する */
nav.globalmenu.active {
opacity: 100;
right:0;
}
nav.globalmenu.active .gmbody {
margin-right:0%;
}

}

/* Style for Smartphone */
@media screen and (max-width: 640px) {

  /* Menu botton*/
  .menubn {
    display: block;
    position: fixed;
    z-index: 21500;
    right: 10px;
    top: 40px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    text-align: center;
    background-image: url(../img/header/ic-menu_open.webp);
    background-repeat: no-repeat;
    background-position: center bottom;
    background-size: auto 10px;
    transition: .4s all;
  }

  .menubn.site_active {
    display: block;
    position: fixed;
    z-index: 21500;
    right: 2%;
    top: 15px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    text-align: center;
  }

  .menubn span {
    display: block;
    position: absolute;
    width: 40px;
    height: 1px;
    left: 6px;
    background: var(--color-black);
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    transition: 0.3s ease-in-out;
  }

  .menubn span:nth-child(1) {
    top: 10px;
  }

  .menubn span:nth-child(2) {
    top: 20px;
  }

  .menubn span:nth-child(3) {
    top: 30px;
  }

  /* ナビ開いてる時のボタン */
  .menubn.active {
    background-image: url(../img/header/ic-menu_close.webp);
  }
  .menubn.active span:nth-child(1) {
    top: 16px;
    left: 6px;
    background: var(--color-white);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    transform: rotate(-45deg);
  }

  .menubn.active span:nth-child(2),
  .menubn.active span:nth-child(3) {
    top: 16px;
    background: var(--color-white);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    transform: rotate(45deg);
  }

nav.globalmenu {
  position: fixed;
  z-index: 20000;
  top:  0;
  right:-100%;
  color: var(--color-white);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  width: 100%;
  height: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: .4s all;
}

nav.globalmenu .gmbody {
  width:70%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgba(229,48,11,0.95);
  padding: 10% 0;
  transition: .4s all;
  margin-right:-100%;
  margin-left: auto;
}

nav.globalmenu ul {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
}
nav.globalmenu ul:first-of-type {
  border-top: 1px dotted rgba(255,255,255,0.5);
}

nav.globalmenu ul li {
  width:100%;
  height: auto;
  display: block;
  list-style-type: none;
  margin:0;
  font-size: 14px;
  font-weight: 700;
  text-align: left;
  transition: .4s all;
  border-bottom: 1px dotted rgba(255,255,255,0.5);
}

nav.globalmenu ul li a {
  width: 100%;
  height: 50px;
  display: block;
  text-decoration: none;
  color: var(--color-white);
  line-height: 50px;
  padding:0px 10px;
  background-color:rgba(0, 0, 0, 0);
  background-image: url(../img/header/ic-ar_w.webp);
  background-repeat: no-repeat;
  background-position: 96% center;
  background-size: auto 20px;
  transition: .4s all;
}

nav.globalmenu ul li a:hover {
  color:var(--color-white);
  background-color:rgba(0, 0, 0, 0.7);
  background-position: 99% center;
}

/* このクラスを、jQueryで付与・削除する */
nav.globalmenu.active {
opacity: 100;
right:0;
}
nav.globalmenu.active .gmbody {
margin-right:0%;
}



}
